astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- MatrixRotation2D

# MatrixRotation2D

class `astropy.modeling.rotations.``MatrixRotation2D`(matrix=None, angle=None)

  Bases: `astropy.modeling.core.Model`

  Perform a clockwise 2D matrix rotation given either an angle or a rotation matrix.

  If both matrix and angle are given, angle will be ignored.

  Parameters:

  matrix : ndarray

  > rotation matrix

  angle : float

  > angle of rotation in deg

  Attributes Summary

  `angle` |
  `matrix` |
  `n_inputs` | int(x=0) -> int or long
  `n_outputs` | int(x=0) -> int or long
  `param_names` | list() -> new empty list

  Methods Summary

  `inverse`() |

  Attributes Documentation

  `angle`
  `matrix`
  `n_inputs` = 2
  `n_outputs` = 2
  `param_names` = ['angle', 'matrix']

  Methods Documentation

  `inverse`()